Bug 153616 - [maintainer-update] net-mgmt/nagios-devel: Update to 3.2.3 (20101122)
Summary: [maintainer-update] net-mgmt/nagios-devel: Update to 3.2.3 (20101122)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olli Hauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-02 04:10 UTC by jarrod
Modified: 2011-01-31 01:20 UTC (History)
0 users

See Also:


Attachments
net-mgmt-nagios-devel-3.2.3-20101122.diff (10.38 KB, patch)
2011-01-02 04:10 UTC, jarrod
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jarrod 2011-01-02 04:10:11 UTC
Update to the current development snapshot [1] after a sync with the production
port, net-mgmt/nagios.  As the original source filename is not dated or numbered
(though internally referenced as 3.2.3), a local copy has been taken to maintain
port integrity when the snapshot is next updated.  This local copy has simply
been renamed and its MD5 checksum can be computed and matches the one published
by the developer.

[1] http://nagios.sourceforge.net/download/cvs/

Fix: The diff can be downloaded from:
http://www.downtools.com.au/~jarrod/FreeBSD/net-mgmt-nagios-devel-3.2.3-20101122.diff
Comment 1 Edwin Groothuis freebsd_committer 2011-01-02 04:10:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

pgollucci@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci freebsd_committer 2011-01-12 00:59:31 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

E-NO-TIME right now, back to pool
Comment 3 Olli Hauer freebsd_committer 2011-01-12 23:06:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ohauer

I'll take it. 

@Jarrod 
what do you think about replacing etc/nagios with %%ETCDIR%% in pkg-plist?
Comment 4 Olli Hauer freebsd_committer 2011-01-19 00:20:07 UTC
Hi Jarrod,

can you please check the following diff
http://people.freebsd.org/~ohauer/diffs/PR_153616_nagios-devel.diff

I've added the following changes

 - define USERS and GROUPS
   nagios is a registered UID/GID so you can use the ports framework
   to create the account. Additional the USER and GROUP name should be
   fix and not customizable. If PR ports/152498 goes into the tree, then
   you can remove the pre-su-install section and the pkg-install script.
   (We can even change the post-install section to archive what PR 152498
   does, then we can remove pkg-install.in directly.)
 - use WWWDIR instead of NAGIOSWWWDIR=etc/nagios
 - install side.php as side.php and side.php.dist which allows the
   user to customize the menu on the left site without overwriting
   the file during a update. (I'm such a user ;)
 - add a patch to index.php so a manual refresh does not redirect the
   browser to the first landing page.


PS:
The nrpe2-ssl port looks good, but I cannot commit at the moment since
it is not really feature safe and we have ports freeze.
There is an option to commit, but then I have to add the SSL option back
to the nrpe2 port (even default is off).
Additional the new description for ARGS is to long for dialog.

--
Regards,
olli
Comment 5 Olli Hauer freebsd_committer 2011-01-22 17:26:46 UTC
State Changed
From-To: open->feedback

set state to feedback
Comment 6 dfilter service freebsd_committer 2011-01-31 01:13:58 UTC
ohauer      2011-01-31 01:13:52 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/nagios-devel Makefile distinfo pkg-plist 
    net-mgmt/nagios-devel/files nagios.sh.in patch-configure.in 
                                pkg-message.in 
  Log:
   - update nagios devel to current version (3.2.3)
   - replace etc/nagios with ETCDIR NAGIOSWWWDIR with WWWDIR ...
   - sort pkg-plist
  
    The source file is identical with the one from the nagios port
    but was renamed to give the maintainer room for further development.
    (Sources compaired by me)
  
  PR:             ports/153616
  Submitted by:   Jarrod Sayers <jarrod _at_ downtools.com.au> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.29      +15 -12    ports/net-mgmt/nagios-devel/Makefile
  1.16      +2 -2      ports/net-mgmt/nagios-devel/distinfo
  1.4       +38 -4     ports/net-mgmt/nagios-devel/files/nagios.sh.in
  1.5       +13 -13    ports/net-mgmt/nagios-devel/files/patch-configure.in
  1.3       +7 -7      ports/net-mgmt/nagios-devel/files/pkg-message.in
  1.5       +383 -378  ports/net-mgmt/nagios-devel/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Olli Hauer freebsd_committer 2011-01-31 01:14:59 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes 
Thanks!